cdac.medinfo.sdk.hl7282.hl7model.messages.scheduling

## Class SRM_S01_Common

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.scheduling.SRM_S01_Common

- Direct Known Subclasses:
    SRM_S01, SRM_S02, SRM_S03, SRM_S04, SRM_S05, SRM_S06, SRM_S07, SRM_S08, SRM_S09, SRM_S10, SRM_S11

      public abstract class SRM_S01_Common
      extends Message

  SRM_S01 - Schedule Request Message (Event S01). The Schedule Request Messagw contains all the information necessary to communicate the desired action to the filler application.

  Represents a SRM_S01 message structure (see chapter 10.3). This structure contains the following elements:

  0: MSH (Message Header) SINGLE_COMPULSARY
  1: ARQ (Appointment Request) SINGLE_COMPULSARY
  2: APR (Appointment Preferences) SINGLE_OPTIONAL
  3: NTE (Notes and Comments) MULTIPLE_OPTIONAL
  4: PATIENT (a Group in SRM_S01 message) MULTIPLE_OPTIONAL
  5: RESOURCES (a Group in SRM_S01 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNotesandCommentsSegment(NTE objNTE)` Adds Notes and Comments for the SCH Segment(NTE) to this message.
    `void` | `addNotesandCommentsSegments(ISingleCollection<NTE> objNTESegmentCollection)` Adds collection of Notes and Comments for the SCH Segment(NTE) to this message.
    `void` | `addPatientGroup(IGroup objGroup)` Adds PATIENT GROUP to this message.
    `void` | `addPatientGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of PATIENT GROUP to this message.
    `void` | `addResourcesGroup(IGroup objGroup)` Adds RESOURCES GROUP to this message.
    `void` | `addResourcesGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of RESOURCES GROUP to this message.
    `void` | `addUnknownGroup(IGroup objGroup)` Adds UNKNOWN GROUP to this message.
    `void` | `addUnknownGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of UNKNOWN GROUP to this message.
    `APR` | `getAppointmentPreferencesSegment()` Retrieves Appointment Preferences (APR) segment present in this message
    `ARQ` | `getAppointmentRequestSegment()` Retrieves Appointment Request (ARQ) segment present in this message
    `ISingleCollection<NTE>` | `getNotesandCommentsSegments()` Retrieves Collection of Notes and Comments for the SCH Segments(NTE) present in this message.
    `ISingleCollection<IGroup>` | `getPatientGroups()` Retrieves Collection of PATIENT GROUP present in this message.
    `ISingleCollection<IGroup>` | `getResourcesGroups()` Retrieves Collection of RESOURCES GROUP present in this message.
    `ISingleCollection<IGroup>` | `getUnknownGroups()` Retrieves Collection of UNKNOWN GROUP present in this message.
    `void` | `setAppointmentPreferencesSegment(APR objAPR)` Sets value of Appointment Preferences segment for this message,overwrites if already present.
    `void` | `setAppointmentRequestSegment(ARQ objARQ)` Sets value of Appointment Request segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNotesandCommentsSegments

          public ISingleCollection<NTE> getNotesandCommentsSegments()

      Retrieves Collection of Notes and Comments for the SCH Segments(NTE) present in this message.
      Returns:
        ISingleCollection - Collection of Notes and Comments for the SCH Segments(NTE) present in this message.

    - #### addNotesandCommentsSegment

          public void addNotesandCommentsSegment(NTE objNTE)

      Adds Notes and Comments for the SCH Segment(NTE) to this message.
      Parameters:
        `objNTE` - Specified Notes and Comments for the SCH Segment(NTE)to this message.

    - #### addNotesandCommentsSegments

          public void addNotesandCommentsSegments(ISingleCollection<NTE> objNTESegmentCollection)

      Adds collection of Notes and Comments for the SCH Segment(NTE) to this message.
      Parameters:
        `objNTESegmentCollection` - Collection of Notes and Comments for the SCH segments to add in this message

    - #### getPatientGroups

          public ISingleCollection<IGroup> getPatientGroups()

      Retrieves Collection of PATIENT GROUP present in this message.
      Returns:
        ISingleCollection - Collection of PATIENT Group present in this Message.

    - #### addPatientGroups

          public void addPatientGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of PATIENT GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified PATIENT GROUP Collection.

    - #### addPatientGroup

          public void addPatientGroup(IGroup objGroup)

      Adds PATIENT GROUP to this message.
      Parameters:
        `objGroup` - Specified PATIENT GROUP.

    - #### getUnknownGroups

          public ISingleCollection<IGroup> getUnknownGroups()

      Retrieves Collection of UNKNOWN GROUP present in this message.
      Returns:
        ISingleCollection - Collection of UNKNOWN Group present in this Message.

    - #### addUnknownGroups

          public void addUnknownGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of UNKNOWN GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified UNKNOWN GROUP Collection.

    - #### addUnknownGroup

          public void addUnknownGroup(IGroup objGroup)

      Adds UNKNOWN GROUP to this message.
      Parameters:
        `objGroup` - Specified PATIENT GROUP.

    - #### getResourcesGroups

          public ISingleCollection<IGroup> getResourcesGroups()

      Retrieves Collection of RESOURCES GROUP present in this message.
      Returns:
        ISingleCollection - Collection of RESOURCES Group present in this Message.

    - #### addResourcesGroups

          public void addResourcesGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of RESOURCES GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified RESOURCES GROUP Collection.

    - #### addResourcesGroup

          public void addResourcesGroup(IGroup objGroup)

      Adds RESOURCES GROUP to this message.
      Parameters:
        `objGroup` - Specified RESOURCES GROUP.

    - #### getAppointmentRequestSegment

          public ARQ getAppointmentRequestSegment()

      Retrieves Appointment Request (ARQ) segment present in this message
      Returns:
        APQ - the Appointment Request Segment present in this message or null if unavailable.

    - #### setAppointmentRequestSegment

          public void setAppointmentRequestSegment(ARQ objARQ)

      Sets value of Appointment Request segment for this message,overwrites if already present.
      Parameters:
        `objARQ` - Specified Appointment Request Segment

    - #### getAppointmentPreferencesSegment

          public APR getAppointmentPreferencesSegment()

      Retrieves Appointment Preferences (APR) segment present in this message
      Returns:
        APR - the Appointment Preferences Segment present in this message or null if unavailable.

    - #### setAppointmentPreferencesSegment

          public void setAppointmentPreferencesSegment(APR objAPR)

      Sets value of Appointment Preferences segment for this message,overwrites if already present.
      Parameters:
        `objAPR` - Specified Appointment Preferences Segment